[Mongrel] Gem versioning and auto installs

James Moore banshee at banshee.com
Sun Jun 4 13:32:03 EDT 2006


I do agree with the basic point that installers should never under any
circumstances ask a human being anything, though.  Better to just fail if
the default install isn't sufficient.

In particular, it's weird to me that gem install mongrel comes up with:

C:\radw\rv>gem install mongrel
Attempting local installation of 'mongrel'
Local gem file not found: mongrel*.gem
Attempting remote installation of 'mongrel'
Updating Gem source index for: http://gems.rubyforge.org
Select which gem to install for your platform (i386-mswin32)
 1. mongrel 0.3.12.4 (ruby)
 2. mongrel 0.3.12.4 (mswin32)
 3. mongrel 0.3.12.3 (mswin32)
 4. mongrel 0.3.12.3 (ruby)
 5. mongrel 0.3.12.2 (ruby)
 6. mongrel 0.3.12.2 (mswin32)
 7. mongrel 0.3.12.1 (mswin32)
 8. mongrel 0.3.12.1 (ruby)
 9. mongrel 0.3.12 (mswin32)
 10. mongrel 0.3.12 (ruby)
 11. mongrel 0.3.11 (ruby)
 12. mongrel 0.3.11 (mswin32)
 13. mongrel 0.3.10.1 (ruby)
 14. mongrel 0.3.10 (ruby)
 15. mongrel 0.3.9 (ruby)
 16. mongrel 0.3.8 (ruby)
 17. mongrel 0.3.8 (mswin32)
 18. mongrel 0.3.7.1 (ruby)
 19. mongrel 0.3.7.1 (mswin32)
 20. mongrel 0.3.7 (ruby)
 21. mongrel 0.3.6 (ruby)
 22. mongrel 0.3.6 (mswin32)
 23. mongrel 0.3.5 (ruby)
 24. mongrel 0.3.5 (mswin32)
 25. mongrel 0.3.4 (mswin32)
 26. mongrel 0.3.4 (ruby)
 27. mongrel 0.3.3 (ruby)
 28. mongrel 0.3.2 (ruby)
 29. mongrel 0.3.1 (ruby)
 30. mongrel 0.3 (ruby)
 31. mongrel 0.2.2 (ruby)
 32. mongrel 0.2.1 (ruby)
 33. mongrel 0.2.0 (ruby)
 34. Cancel installation
>

Seems like you should just install whatever the latest stable version is.
If someone needs to install something like mongrel 0.3.1, they should know
how to do that on their own.

(This list is a mongrel thing, not a gem thing, right?)

 - James 



More information about the Mongrel-users mailing list